# Uses of Interface
java.lang.classfile.attribute.StackMapFrameInfo

Packages that use StackMapFrameInfo
Package
Description
java.lang.classfile.attribute
Provides interfaces describing `class` file attributes for the `java.lang.classfile` library.

## Uses of StackMapFrameInfo in java.lang.classfile.attribute

Methods in java.lang.classfile.attribute that return StackMapFrameInfo
Modifier and Type
Method
Description
`static StackMapFrameInfo`
StackMapFrameInfo.`of(Label target, List<StackMapFrameInfo.VerificationTypeInfo> locals, List<StackMapFrameInfo.VerificationTypeInfo> stack)`
Returns a new stack map frame.
`static StackMapFrameInfo`
StackMapFrameInfo.`of(Label target, List<StackMapFrameInfo.VerificationTypeInfo> locals, List<StackMapFrameInfo.VerificationTypeInfo> stack, List<NameAndTypeEntry> unsetFields)`
Preview.
Returns a new stack map frame.
Methods in java.lang.classfile.attribute that return types with arguments of type StackMapFrameInfo
Modifier and Type
Method
Description
`List<StackMapFrameInfo>`
StackMapTableAttribute.`entries()`
Returns the stack map frames.
Method parameters in java.lang.classfile.attribute with type arguments of type StackMapFrameInfo
Modifier and Type
Method
Description
`static StackMapTableAttribute`
StackMapTableAttribute.`of(List<StackMapFrameInfo> entries)`
Returns a stack map table attribute.